import { Component } from 'react';
import { BalloonProps as NextBalloonProps } from '@alifd/next/types/balloon';
interface BalloonProps extends Omit<NextBalloonProps, 'type' | 'linkProps' | 'buttonProps' | 'onButtonClick'> {
    type?: 'normal' | 'dark' | 'primary';
    linkProps?: string[];
    buttonProps?: string;
    onButtonClick?: () => void;
}
declare class Balloon extends Component<BalloonProps> {
    static Tooltip: typeof import("@alifd/next/types/balloon").Tooltip;
    render(): JSX.Element;
}
declare const _default: typeof Balloon;
export default _default;
